##from bcdebug import debug

##############################################################################

Carrier = __import__( "ftb.Carrier")
class RomulanOutpostSL( Carrier.Carrier):
    def __init__( self, pShip):
        Carrier.Carrier.__init__( self, pShip)
        # The script name should be the name of the "ship" script, not the
        # hardpoint (otherwise, you'll crash your BC and this is bad)
        LauncherGroup = __import__( "ftb.LauncherGroup")
        group = LauncherGroup.LauncherGroup()

        LauncherManager = __import__( "ftb.LauncherManager")
        launcher = LauncherManager.GetLauncher( "Shuttle Bay 1", pShip)
        group.AddLauncher( "Shuttle Bay 1", launcher)
        launcher.AddLaunchable( "RomulanFighter", "ftb.friendlyAI", 25)

        launcher = LauncherManager.GetLauncher( "Shuttle Bay 2", pShip)
        group.AddLauncher( "Shuttle Bay 2", launcher)
        launcher.AddLaunchable( "romulanshuttle", "ftb.friendlyAI", 10)
       
        self.AddLauncher( "Group 1", group)


    # Define how much Shuttles we can carry maximal (Return Shuttles script)
    def GetMaxShuttles(self):
##    	debug(__name__ + ", GetMaxShuttles")
    	return 43
    # Don't use the following Tractors to Dock:
    def IgnoreTractors(self):    	
    	return ["Aft Tractor", "Forward Tractor"]

   
ShipManager = __import__( "ftb.ShipManager")
ShipManager.RegisterShipClass( "RomulanOutpostSL", RomulanOutpostSL)
